Bug 480788 - unit tests hanging: pid::sys::DeletionManager<qpid::sys::PollerHandlePrivate>::markAllUnusedInThisThread ()?
unit tests hanging: pid::sys::DeletionManager<qpid::sys::PollerHandlePrivate>...
Status: CLOSED NOTABUG
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-cpp (Show other bugs)
1.0
All Linux
medium Severity medium
: 1.3
: ---
Assigned To: Gordon Sim
Frantisek Reznicek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-20 10:36 EST by Gordon Sim
Modified: 2015-11-15 19:06 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-08 14:39:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gordon Sim 2009-01-20 10:36:33 EST
rhel 4 (mrg1); unit tests appear to hang under ptolemy (suspect intermittently):

Thread 12 (Thread -1229730912 (LWP 26737)):
#0  0x0084c7a2 in _dl_sysinfo_int80 () from /lib/ld-linux.so.2
#1  0xbfefc1b0 in ?? ()
#2  0x005cdc43 in __libc_ptyname1 () from /lib/tls/libc.so.6
#3  0x00000012 in ?? ()
#4  0x00000004 in ?? ()
#5  0xb4c00048 in ?? ()
#6  0x00311be0 in _thread_db_sizeof_pthread () from /lib/tls/libpthread.so.0
#7  0x00000006 in ?? ()
#8  0xb4c00400 in ?? ()
#9  0xb4a06880 in ?? ()
#10 0x005da820 in __malloc_initialize_hook () from /lib/tls/libc.so.6
#11 0x00000028 in ?? ()
#12 0x005da820 in __malloc_initialize_hook () from /lib/tls/libc.so.6
#13 0xbfefc1e0 in ?? ()
#14 0x005cdc43 in __libc_ptyname1 () from /lib/tls/libc.so.6
#15 0x00000028 in ?? ()
#16 0x005da820 in __malloc_initialize_hook () from /lib/tls/libc.so.6
#17 0xb4c00048 in ?? ()
#18 0x005cdc43 in __libc_ptyname1 () from /lib/tls/libc.so.6
#19 0x00000000 in ?? ()

Thread 11 (Thread -1240220768 (LWP 26740)):
#0  0x0084c7a2 in _dl_sysinfo_int80 () from /lib/ld-linux.so.2
#1  0x0030cf7c in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/tls/libpthread.so.0
#2  0x005864de in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/tls/libc.so.6
#3  0x007b3f9c in qpid::broker::Timer::run ()
   from /var/lib/ptolemy/projects/qpid-cpp/checkout/cpp/src/tests/../.libs/libqpidbroker.so.0
#4  0x009eb9b3 in qpid::sys::(anonymous namespace)::runRunnable ()
   from /var/lib/ptolemy/projects/qpid-cpp/checkout/cpp/src/tests/../.libs/libqpidcommon.so.0
#5  0x0030a3cc in start_thread () from /lib/tls/libpthread.so.0
#6  0x0057996e in clone () from /lib/tls/libc.so.6

Thread 10 (Thread -1208751200 (LWP 26741)):
#0  0x0084c7a2 in _dl_sysinfo_int80 () from /lib/ld-linux.so.2
#1  0x0030cf7c in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/tls/libpthread.so.0
#2  0x005864de in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/tls/libc.so.6
---Type <return> to continue, or q <return> to quit---
#3  0x007b3f9c in qpid::broker::Timer::run ()
   from /var/lib/ptolemy/projects/qpid-cpp/checkout/cpp/src/tests/../.libs/libqpidbroker.so.0
#4  0x009eb9b3 in qpid::sys::(anonymous namespace)::runRunnable ()
   from /var/lib/ptolemy/projects/qpid-cpp/checkout/cpp/src/tests/../.libs/libqpidcommon.so.0
#5  0x0030a3cc in start_thread () from /lib/tls/libpthread.so.0
#6  0x0057996e in clone () from /lib/tls/libc.so.6

Thread 9 (Thread -1219241056 (LWP 26742)):
#0  0x0084c7a2 in _dl_sysinfo_int80 () from /lib/ld-linux.so.2
#1  0x0030f3de in __lll_mutex_lock_wait () from /lib/tls/libpthread.so.0
#2  0x0030c017 in _L_mutex_lock_182 () from /lib/tls/libpthread.so.0
#3  0x0030be88 in pthread_mutex_init () from /lib/tls/libpthread.so.0
#4  0x005866be in pthread_mutex_lock () from /lib/tls/libc.so.6
#5  0x009f7b6f in qpid::sys::DeletionManager<qpid::sys::PollerHandlePrivate>::markAllUnusedInThisThread ()
   from /var/lib/ptolemy/projects/qpid-cpp/checkout/cpp/src/tests/../.libs/libqpidcommon.so.0
#6  0x009f4d99 in qpid::sys::Poller::wait ()
   from /var/lib/ptolemy/projects/qpid-cpp/checkout/cpp/src/tests/../.libs/libqpidcommon.so.0
#7  0x009f5aad in qpid::sys::Poller::run ()
   from /var/lib/ptolemy/projects/qpid-cpp/checkout/cpp/src/tests/../.libs/libqpidcommon.so.0
#8  0x00a4e594 in qpid::sys::Dispatcher::run ()
   from /var/lib/ptolemy/projects/qpid-cpp/checkout/cpp/src/tests/../.libs/libqpidcommon.so.0
#9  0x006d6383 in qpid::broker::Broker::run ()
   from /var/lib/ptolemy/projects/qpid-cpp/checkout/cpp/src/tests/../.libs/libqpidbroker.so.0
#10 0x009eb9b3 in qpid::sys::(anonymous namespace)::runRunnable ()
   from /var/lib/ptolemy/projects/qpid-cpp/checkout/cpp/src/tests/../.libs/libqpidcommon.so.0
#11 0x0030a3cc in start_thread () from /lib/tls/libpthread.so.0
#12 0x0057996e in clone () from /lib/tls/libc.so.6

Thread 8 (Thread -1250710624 (LWP 26743)):
#0  0x0084c7a2 in _dl_sysinfo_int80 () from /lib/ld-linux.so.2
#1  0x0030f3de in __lll_mutex_lock_wait () from /lib/tls/libpthread.so.0
#2  0x0030c017 in _L_mutex_lock_182 () from /lib/tls/libpthread.so.0
#3  0x0030be88 in pthread_mutex_init () from /lib/tls/libpthread.so.0
#4  0x005866be in pthread_mutex_lock () from /lib/tls/libc.so.6
#5  0x009f7b6f in qpid::sys::DeletionManager<qpid::sys::PollerHandlePrivate>::markAllUnusedInThisThread ()
   from /var/lib/ptolemy/projects/qpid-cpp/checkout/cpp/src/tests/../.libs/libqpidcommon.so.0
#6  0x009f4d99 in qpid::sys::Poller::wait ()
   from /var/lib/ptolemy/projects/qpid-cpp/checkout/cpp/src/tests/../.libs/libqpidcommon.so.0
---Type <return> to continue, or q <return> to quit---
#7  0x08079ec7 in SocketProxy::run ()
#8  0x009eb9b3 in qpid::sys::(anonymous namespace)::runRunnable ()
   from /var/lib/ptolemy/projects/qpid-cpp/checkout/cpp/src/tests/../.libs/libqpidcommon.so.0
#9  0x0030a3cc in start_thread () from /lib/tls/libpthread.so.0
#10 0x0057996e in clone () from /lib/tls/libc.so.6

Thread 7 (Thread -1264583776 (LWP 26744)):
#0  0x0084c7a2 in _dl_sysinfo_int80 () from /lib/ld-linux.so.2
#1  0x0030f3de in __lll_mutex_lock_wait () from /lib/tls/libpthread.so.0
#2  0x0030c017 in _L_mutex_lock_182 () from /lib/tls/libpthread.so.0
#3  0x0030be88 in pthread_mutex_init () from /lib/tls/libpthread.so.0
#4  0x005866be in pthread_mutex_lock () from /lib/tls/libc.so.6
#5  0x009f7b6f in qpid::sys::DeletionManager<qpid::sys::PollerHandlePrivate>::markAllUnusedInThisThread ()
   from /var/lib/ptolemy/projects/qpid-cpp/checkout/cpp/src/tests/../.libs/libqpidcommon.so.0
#6  0x009f4d99 in qpid::sys::Poller::wait ()
   from /var/lib/ptolemy/projects/qpid-cpp/checkout/cpp/src/tests/../.libs/libqpidcommon.so.0
#7  0x009f5aad in qpid::sys::Poller::run ()
   from /var/lib/ptolemy/projects/qpid-cpp/checkout/cpp/src/tests/../.libs/libqpidcommon.so.0
#8  0x00a4e594 in qpid::sys::Dispatcher::run ()
   from /var/lib/ptolemy/projects/qpid-cpp/checkout/cpp/src/tests/../.libs/libqpidcommon.so.0
#9  0x0041977a in qpid::client::TCPConnector::run ()
   from /var/lib/ptolemy/projects/qpid-cpp/checkout/cpp/src/tests/../.libs/libqpidclient.so.0
#10 0x009eb9b3 in qpid::sys::(anonymous namespace)::runRunnable ()
   from /var/lib/ptolemy/projects/qpid-cpp/checkout/cpp/src/tests/../.libs/libqpidcommon.so.0
#11 0x0030a3cc in start_thread () from /lib/tls/libpthread.so.0
#12 0x0057996e in clone () from /lib/tls/libc.so.6

Thread 6 (Thread -1277166688 (LWP 27852)):
#0  0x0084c7a2 in _dl_sysinfo_int80 () from /lib/ld-linux.so.2
#1  0x0030cf7c in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/tls/libpthread.so.0
#2  0x005864de in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/tls/libc.so.6
#3  0x007b3f9c in qpid::broker::Timer::run ()
   from /var/lib/ptolemy/projects/qpid-cpp/checkout/cpp/src/tests/../.libs/libqpidbroker.so.0
#4  0x009eb9b3 in qpid::sys::(anonymous namespace)::runRunnable ()
   from /var/lib/ptolemy/projects/qpid-cpp/checkout/cpp/src/tests/../.libs/libqpidcommon.so.0
#5  0x0030a3cc in start_thread () from /lib/tls/libpthread.so.0
#6  0x0057996e in clone () from /lib/tls/libc.so.6

---Type <return> to continue, or q <return> to quit---
Thread 5 (Thread -1287656544 (LWP 27853)):
#0  0x0084c7a2 in _dl_sysinfo_int80 () from /lib/ld-linux.so.2
#1  0x0030cf7c in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/tls/libpthread.so.0
#2  0x005864de in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/tls/libc.so.6
#3  0x007b3f9c in qpid::broker::Timer::run ()
   from /var/lib/ptolemy/projects/qpid-cpp/checkout/cpp/src/tests/../.libs/libqpidbroker.so.0
#4  0x009eb9b3 in qpid::sys::(anonymous namespace)::runRunnable ()
   from /var/lib/ptolemy/projects/qpid-cpp/checkout/cpp/src/tests/../.libs/libqpidcommon.so.0
#5  0x0030a3cc in start_thread () from /lib/tls/libpthread.so.0
#6  0x0057996e in clone () from /lib/tls/libc.so.6

Thread 4 (Thread -1298146400 (LWP 27854)):
#0  0x0084c7a2 in _dl_sysinfo_int80 () from /lib/ld-linux.so.2
#1  0x0030f3de in __lll_mutex_lock_wait () from /lib/tls/libpthread.so.0
#2  0x0030c017 in _L_mutex_lock_182 () from /lib/tls/libpthread.so.0
#3  0x0030be88 in pthread_mutex_init () from /lib/tls/libpthread.so.0
#4  0x005866be in pthread_mutex_lock () from /lib/tls/libc.so.6
#5  0x009f7b6f in qpid::sys::DeletionManager<qpid::sys::PollerHandlePrivate>::markAllUnusedInThisThread ()
   from /var/lib/ptolemy/projects/qpid-cpp/checkout/cpp/src/tests/../.libs/libqpidcommon.so.0
#6  0x009f4d99 in qpid::sys::Poller::wait ()
   from /var/lib/ptolemy/projects/qpid-cpp/checkout/cpp/src/tests/../.libs/libqpidcommon.so.0
#7  0x009f5aad in qpid::sys::Poller::run ()
   from /var/lib/ptolemy/projects/qpid-cpp/checkout/cpp/src/tests/../.libs/libqpidcommon.so.0
#8  0x00a4e594 in qpid::sys::Dispatcher::run ()
   from /var/lib/ptolemy/projects/qpid-cpp/checkout/cpp/src/tests/../.libs/libqpidcommon.so.0
#9  0x006d6383 in qpid::broker::Broker::run ()
   from /var/lib/ptolemy/projects/qpid-cpp/checkout/cpp/src/tests/../.libs/libqpidbroker.so.0
#10 0x009eb9b3 in qpid::sys::(anonymous namespace)::runRunnable ()
   from /var/lib/ptolemy/projects/qpid-cpp/checkout/cpp/src/tests/../.libs/libqpidcommon.so.0
#11 0x0030a3cc in start_thread () from /lib/tls/libpthread.so.0
#12 0x0057996e in clone () from /lib/tls/libc.so.6

Thread 3 (Thread -1308636256 (LWP 27855)):
#0  0x0084c7a2 in _dl_sysinfo_int80 () from /lib/ld-linux.so.2
#1  0x0030f3de in __lll_mutex_lock_wait () from /lib/tls/libpthread.so.0
#2  0x0030c017 in _L_mutex_lock_182 () from /lib/tls/libpthread.so.0
#3  0x0030be88 in pthread_mutex_init () from /lib/tls/libpthread.so.0
#4  0x005866be in pthread_mutex_lock () from /lib/tls/libc.so.6
---Type <return> to continue, or q <return> to quit---
#5  0x009f7b6f in qpid::sys::DeletionManager<qpid::sys::PollerHandlePrivate>::markAllUnusedInThisThread ()
   from /var/lib/ptolemy/projects/qpid-cpp/checkout/cpp/src/tests/../.libs/libqpidcommon.so.0
#6  0x009f4d99 in qpid::sys::Poller::wait ()
   from /var/lib/ptolemy/projects/qpid-cpp/checkout/cpp/src/tests/../.libs/libqpidcommon.so.0
#7  0x08079ec7 in SocketProxy::run ()
#8  0x009eb9b3 in qpid::sys::(anonymous namespace)::runRunnable ()
   from /var/lib/ptolemy/projects/qpid-cpp/checkout/cpp/src/tests/../.libs/libqpidcommon.so.0
#9  0x0030a3cc in start_thread () from /lib/tls/libpthread.so.0
#10 0x0057996e in clone () from /lib/tls/libc.so.6

Thread 2 (Thread -1319126112 (LWP 27856)):
#0  0x0084c7a2 in _dl_sysinfo_int80 () from /lib/ld-linux.so.2
#1  0x0030f3de in __lll_mutex_lock_wait () from /lib/tls/libpthread.so.0
#2  0x0030c017 in _L_mutex_lock_182 () from /lib/tls/libpthread.so.0
#3  0x0030be88 in pthread_mutex_init () from /lib/tls/libpthread.so.0
#4  0x005866be in pthread_mutex_lock () from /lib/tls/libc.so.6
#5  0x009f7b6f in qpid::sys::DeletionManager<qpid::sys::PollerHandlePrivate>::markAllUnusedInThisThread ()
   from /var/lib/ptolemy/projects/qpid-cpp/checkout/cpp/src/tests/../.libs/libqpidcommon.so.0
#6  0x009f4d99 in qpid::sys::Poller::wait ()
   from /var/lib/ptolemy/projects/qpid-cpp/checkout/cpp/src/tests/../.libs/libqpidcommon.so.0
#7  0x009f5aad in qpid::sys::Poller::run ()
   from /var/lib/ptolemy/projects/qpid-cpp/checkout/cpp/src/tests/../.libs/libqpidcommon.so.0
#8  0x00a4e594 in qpid::sys::Dispatcher::run ()
   from /var/lib/ptolemy/projects/qpid-cpp/checkout/cpp/src/tests/../.libs/libqpidcommon.so.0
#9  0x0041977a in qpid::client::TCPConnector::run ()
   from /var/lib/ptolemy/projects/qpid-cpp/checkout/cpp/src/tests/../.libs/libqpidclient.so.0
#10 0x009eb9b3 in qpid::sys::(anonymous namespace)::runRunnable ()
   from /var/lib/ptolemy/projects/qpid-cpp/checkout/cpp/src/tests/../.libs/libqpidcommon.so.0
#11 0x0030a3cc in start_thread () from /lib/tls/libpthread.so.0
#12 0x0057996e in clone () from /lib/tls/libc.so.6

Thread 1 (Thread -1208748320 (LWP 26684)):
#0  0x0084c7a2 in _dl_sysinfo_int80 () from /lib/ld-linux.so.2
#1  0x0030ccf6 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/tls/libpthread.so.0
#2  0x00586497 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/tls/libc.so.6
#3  0x0047002c in qpid::client::StateManager::waitFor ()
   from /var/lib/ptolemy/projects/qpid-cpp/checkout/cpp/src/tests/../.libs/libqpidclient.so.0
#4  0x003fd8e5 in qpid::client::ConnectionHandler::waitForOpen ()
---Type <return> to continue, or q <return> to quit---
   from /var/lib/ptolemy/projects/qpid-cpp/checkout/cpp/src/tests/../.libs/libqpidclient.so.0
#5  0x00408bf8 in qpid::client::ConnectionImpl::open ()
   from /var/lib/ptolemy/projects/qpid-cpp/checkout/cpp/src/tests/../.libs/libqpidclient.so.0
#6  0x003fb65b in qpid::client::Connection::open ()
   from /var/lib/ptolemy/projects/qpid-cpp/checkout/cpp/src/tests/../.libs/libqpidclient.so.0
#7  0x003fbd4b in qpid::client::Connection::open ()
   from /var/lib/ptolemy/projects/qpid-cpp/checkout/cpp/src/tests/../.libs/libqpidclient.so.0
#8  0x08078bb0 in ProxyConnection::ProxyConnection ()
#9  0x0807f4b2 in SessionFixtureT<ProxyConnection, qpid::client::Session_0_10>::SessionFixtureT ()
#10 0x0819c442 in testReplay ()
#11 0x00f1cad6 in boost::unit_test::ut_detail::unit_test_monitor::function ()
   from /usr/lib/libboost_unit_test_framework.so.1
#12 0x00f1024d in boost::execution_monitor::run_function () from /usr/lib/libboost_unit_test_framework.so.1
#13 0x00f1077e in boost::detail::signal_handler::~signal_handler () from /usr/lib/libboost_unit_test_framework.so.1
#14 0x00f1095a in boost::execution_monitor::execute () from /usr/lib/libboost_unit_test_framework.so.1
#15 0x00f1c974 in boost::unit_test::ut_detail::unit_test_monitor::execute_and_translate ()
   from /usr/lib/libboost_unit_test_framework.so.1
#16 0x00f22316 in boost::unit_test::test_case::run () from /usr/lib/libboost_unit_test_framework.so.1
#17 0x00f22517 in boost::unit_test::test_suite::do_run () from /usr/lib/libboost_unit_test_framework.so.1
#18 0x00f22484 in boost::unit_test::test_case::run () from /usr/lib/libboost_unit_test_framework.so.1
#19 0x00f2376f in main () from /usr/lib/libboost_unit_test_framework.so.1
#20 0x004c2df3 in __libc_start_main () from /lib/tls/libc.so.6
#21 0x08062acd in _start ()
Comment 1 Justin Ross 2009-01-20 10:45:37 EST
Output after the test exited, from http://mrg1.lab.bos.redhat.com:2765/qpid-cpp/3484/test.out:

*** glibc detected *** double free or corruption (fasttop): 0x088c9580 ***
Running 200 test cases...
Exception in "testSystemLevelEventProcessing": signal: SIGABRT (application abort requested)
Exception in "testSystemLevelEventProcessing_enqueuesOnly": signal: memory access violation
/builddir/build/BUILD/boost_1_32_0/libs/test/build/../src/unit_test_suite.cpp(150): fatal error in "testSystemLevelEventProcessing_enqueuesOnly": Testing aborted
Exception in "testReplay": signal: memory access violation
/builddir/build/BUILD/boost_1_32_0/libs/test/build/../src/unit_test_suite.cpp(150): fatal error in "testReplay": Testing aborted
./run_test: line 75: 26684 Segmentation fault      (core dumped) libtool --mode=execute $VALGRIND "$@" 2>&1
FAIL: unit_test
No certutil, skipping ssl test
Comment 2 Gordon Sim 2009-05-08 14:39:17 EDT
Believe fixed; no further occurences and there was a memory issue fixed in this area.

Note You need to log in before you can comment on or make changes to this bug.